Subject: Pine and IMAP servers

From: Joseph Scanlan <[email-masked]>
Date: Wed, 03 Mar 1999 09:43:13 -0800 (PST)

Greetings,

I've run into a couple of interesting problems using Pine
with our GroupWise IMAP server.

With Pine 3.95 I can open my mailbox after I give my name
and passward and read my mail with no problem.  When I
eXpunge my inbox Pine will usaully (but not always) give me
a core dump.  When I check the inbox with GroupWise, the
deleted files are gone so it's not all bad.  A quick look on
the web and I decided to solve the problem with an upgrade.

Pine 4.10 won't open my GroupWise mailbox at all.  Bummer.

With 3.95's mtest I get.

MTest -- C client test program
Debug protocol (y/n)?y
Mailbox ('?' for help): {ccgwgate.co.clark.nv.us:143}INBOX
* OK GroupWise IMAP4rev1 Server Ready
[GroupWise IMAP4rev1 Server Ready]
{ccgwgate.co.clark.nv.us} username: jps
password: pass
A00000 LOGIN jps pass
A00000 OK LOGIN completed
A00001 SELECT INBOX
* 9 EXISTS
* OK [UNSEEN 5]
[[UNSEEN 5]]
* OK [UIDVALIDITY 7811]
[[UIDVALIDITY 7811]]
* FLAGS (\Answered \Flagged \Deleted \Draft \Seen)
* OK [PERMANENTFLAGS (\Answered \Flagged \Deleted \Draft
\Seen)]
[[PERMANENTFLAGS (\Answered \Flagged \Deleted \Draft
\Seen)]]
A00001 OK SELECT completed
Wed, 3 Mar 1999 09:10:57 -0800 (PST)
 imap2 mailbox: {ccgwgate.co.clark.nv.us}INBOX, 9 messages,
0 recent
MTest>quit
A00002 LOGOUT
* BYE IMAP4rev1 Server Disconnect
A00002 OK LOGOUT completed

With 4.10's mtest I get.

MTest -- C client test program
Debug protocol (y/n)?y
Mailbox ('?' for help): {ccgwgate.co.clark.nv.us:143}INBOX
[Trying IP address [172.20.100.85]]
* OK GroupWise IMAP4rev1 Server Ready
[GroupWise IMAP4rev1 Server Ready]
00000000 CAPABILITY
* CAPABILITY IMAP4rev1 AUTH-LOGIN
00000000 OK CAPABILITY completed
00000001 AUTHENTICATE LOGIN
00000001 OK AUTHENTICATE completed
?Can not authenticate to IMAP server: AUTHENTICATE completed
00000002 LOGOUT
* BYE IMAP4rev1 Server Disconnect
00000002 OK LOGOUT completed

Any ideas?

------------- My opinions are mine alone, and that fact -------------
------------- provides intense relief for my coworkers. -------------
Joe Scanlan                                         Clark County CEIT
Systems Programmer                                   fax 702 455-4932
[email-masked] (not work)                                PO Box 551761
[email-masked] (work)                   Las Vegas, NV  89155-1761
http://www.co.clark.nv.us                                         USA

-- 
-----------------------------------------------------------------
 For information about this mailing list, and its archives, see: 
 http://www.washington.edu/pine/pine-info/
-----------------------------------------------------------------